<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>AccountService.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.services</a> &gt; <span class="el_source">AccountService.java</span></div><h1>AccountService.java</h1><pre class="source lang-java linenums">package dev.team3.services;

import dev.team3.daos.AccountRepository;
import dev.team3.models.Account;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
<span class="fc" id="L13">public class AccountService {</span>

    @Autowired
    private AccountRepository accountRepo;

    public List&lt;Account&gt; getAllAccountForLeaderboard(){
<span class="fc" id="L19">        return accountRepo.findAll(Sort.by(Sort.Direction.DESC, &quot;balance&quot;));</span>
    }

//    public Account getAccountById(int id){
//        return accountRepo.getOne(id);
//    }

    public List&lt;Account&gt; getAccountByUsername(String username){
<span class="fc" id="L27">        return accountRepo.findByUsername(username);</span>
    }

    public Account createNewAccount(Account a){
<span class="fc" id="L31">        return accountRepo.save(a);</span>
    }

}

</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>